Subject: bug#34240: closed (Re: [bug#34240] [PATCH 4/5] gnu: Add system-config-printer.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Feb 2019 08:22:02 +0000

Your bug report

#34240: [PATCH 0/5] Gnome printing improvements

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34240: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34240
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#34240] [PATCH 4/5] gnu: Add system-config-printer.
From: Christopher Baines <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Feb 2019 08:21:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> * gnu/packages/gnome.scm (system-config-printer): New variable.
> […]
>> +    (arguments
>> +     `(#:imported-modules ((guix build python-build-system)
>> +                           ,@%glib-or-gtk-build-system-modules)
>> +       #:phases
>> +       (modify-phases %standard-phases
>> +         (add-after 'unpack 'patch-Makefile.am
>> +           (lambda _
>> +             ;; The Makefile generates some scripts, so set a valid shebang
>> +             (substitute* "Makefile.am"
>> +               (("/bin/bash") (which "bash")))
>> +             #t))
> […]
>> +         (add-before 'configure 'bootstrap
>> +           (lambda _
>> +             ;; Run ./bootstrap as otherwise the build fails with
>> +             ;; automake-1.15: command not found
>> +             (invoke "./bootstrap")
>> +             #t))
>
> The build system already provides a “bootstrap” phase, so maybe it would
> be better to delete “configure” in “patch-Makefile.am” to activate the
> bootstrap phase.
>
> Otherwise looks good to me.  Thanks!

Great, I've made that change to the system-config-printer phases and
pushed these patches now.

Thanks,

Chris

Subject: [PATCH 0/5] Gnome printing improvements
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 29 Jan 2019 11:37:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches work towards allowing easy configuration of printers
within Gnome (and probably other desktop environments).

Previously, the gnome-control-center printer configuration would simply
not work, as I believe it depends on cups-pk-helper and
system-config-printer. With these two things present, it works better,
but I encounter authentication issues.

Christopher Baines (5):
  gnu: Add cups-pk-helper.
  services: Add cups-pk-helper.
  gnu: Add python-pycups.
  gnu: Add system-config-printer.
  gnu: gnome: Include system-config-printer.

 gnu/packages/cups.scm    | 52 ++++++++++++++++++++++++
 gnu/packages/gnome.scm   | 88 ++++++++++++++++++++++++++++++++++++++++
 gnu/services/desktop.scm | 17 ++++++++
 3 files changed, 157 insertions(+)